export function updateQueryStringParameter(url, key, value) {
    if (value == null) {
        return url;
    }
    var re = new RegExp("([?&])" + key + "=.*?(&|$)", "i");
    var separator = url.indexOf("?") !== -1 ? "&" : "?";
    if (url.match(re)) {
        return url.replace(re, "$1" + key + "=" + value + "$2");
    }
    else {
        return url + separator + key + "=" + value;
    }
}
export function replaceParams(key, value) {
    var url = updateQueryStringParameter(location.href, key, value);
    window.history.replaceState({
        path: url,
    }, "", url);
}
//# sourceMappingURL=location.js.map